Linux 指定使用各種不同版本軟體 - update-alternatives

在 Ubuntu / Debian Linux 常常會有各種不同版本的軟體, 但是是做同樣的事(或類似的事).

最常見的 vi、java、gcc 等等, 這些都有各種不同的版本, 另外 scim / gcin 等輸入法, 是需要指定權重.

有這麼多軟體, 每次設定都要用 update-alternatives 然後去找相對應的軟體名稱, 有沒有全部安裝完後, 統一一次設定好即可的方法?

於是偷懶的方法就出現了: update-alternatives --all (詳見: man 8 update-alternatives)

不過上述全部跑完, 要花點時間設定, 若想要看看全部有哪些, 可以使用: yes '' | update-alternatives --force --all 讓他全部再跑一次設定即可~ 😛


關於 Tsung

對新奇的事物都很有興趣, 喜歡簡單的東西, 過簡單的生活.
本篇發表於 My_Note-Unix。將永久鏈結加入書籤。

發表迴響